rawset(_G, "Cosmetics", {})

local getkey = function(str)
	return string.gsub(str, " ", "")
end

Cosmetics.Hats = {}
Cosmetics.AddHat = function(name, artist, hudsprite, state, ismask, thinker)
	local index = #Cosmetics.Hats + 1
	Cosmetics.Hats[index] = {
		name = name,
		artist = artist,
		hudsprite = hudsprite,
		state = state,
		ismask = ismask,
		thinker = thinker,
		--key = getkey(name)
	}
	local hat = Cosmetics.Hats[index]
	print("Registered hat: "..hat.name.." by "..hat.artist)
	
	return index;
end

Cosmetics.SkinOffsets = {}
Cosmetics.SkinDriftOffsets = {}